Skip to Content
API ReferenceAccounts & Balances

Accounts & Balances

getBalance

Returns the native token balance (ETH, MATIC, SOL, etc.) for a wallet address. Returns the human-readable `balance`, the on-chain integer `balanceRaw` (in wei/lamports), and `decimals`.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getBalance",
  "params": {
    "chain": "ethereum",
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "blockHeight": 19834521
  },
  "id": 1
}

Parameters

NameRequiredDescription
chainyesNetwork slug
addressyesWallet address
e.g. 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045
blockHeightnoHistorical EVM block number (archive nodes only)
e.g. 19834521

Response Fields

FieldType
dataobject
chainstring
addressstring
blockHeightinteger
tokenstring
balancestring
balanceRawstring
decimalsinteger

Supported Networks

EthereumPolygonBNB ChainOptimismBaseAvalancheArbitrumGnosisMoonbeamLineaHyperliquidSolana
Try It
{
  "jsonrpc": "2.0",
  "method": "getBalance",
  "params": {
    "chain": "ethereum",
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "blockHeight": 19834521
  },
  "id": 1
}

getTokenBalance

Returns the balance of a specific ERC-20 or SPL token. Pass the token contract (or mint) address. Response includes the decimal-adjusted `balance`, the on-chain integer `balanceRaw`, and the token `decimals` so integrators can do their own arithmetic without a separate metadata call.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getTokenBalance",
  "params": {
    "chain": "ethereum",
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "token": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "blockHeight": 19834521
  },
  "id": 1
}

Parameters

NameRequiredDescription
chainyesNetwork slug
addressyesWallet address
e.g. 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045
tokenyesToken contract address
e.g. 0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48
blockHeightnoHistorical EVM block number (archive nodes only)
e.g. 19834521

Response Fields

FieldType
dataobject
chainstring
addressstring
tokenstring
blockHeightinteger
balancestring
balanceRawstring
decimalsinteger

Supported Networks

EthereumPolygonBNB ChainOptimismBaseAvalancheArbitrumGnosisMoonbeamLineaHyperliquidSolana
Try It
{
  "jsonrpc": "2.0",
  "method": "getTokenBalance",
  "params": {
    "chain": "ethereum",
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
    "token": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "blockHeight": 19834521
  },
  "id": 1
}

Endpoint "historical-balance" not found